## TootBot

A small python 3.x script to replicate tweets on a mastodon account.

The script only need mastodon login/pass to post toots. It can run on any server (does not have to
be on the mastodon instance server).

It gets the tweets from RSS available at nitter.net, then does some cleanup on the content:
- twitter tracking links (t.co) are dereferenced
- twitter hosted pictures are retrieved and uploaded to mastodon

A sqlite database is used to keep track of tweets than have been tooted.

Based on [github.com/cquest/tootbot](https://github.com/cquest/tootbot)

## Running

To run, fork this repo and enter the details for your bot account(s) in `templates/run-bot.sh`.
Then copy `inventory.example` to `inventory` and enter your server connection details and the
password for your Mastodon bot account(s). All bots need to have the same password.

Finally, you can deploy the bot with:
```
ansible-playbook tootbot.yml
```

## Examples

I am using this bot for the following accounts:

https://newsbots.eu/@telesur_en

https://newsbots.eu/@telesur_es

https://newsbots.eu/@granma

https://newsbots.eu/@telepolis
